LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 04-27-2004, 01:32 PM   #1
maenho
Member
 
Registered: Nov 2003
Location: Belgium
Posts: 81

Rep: Reputation: 15
apt for RPM


Dear all,

I recently compiled a 2.6.5 kernel for my red hat 9 box. The RPM system got broken as was predicted by all the available walkthroughs. The solution offered is to export the LD_ASSUME_KERNEL=2.4.20-8 variable (my old kernel). I was quite content doing that every time I had to query my rpm database. Then I used apt for rpm (a habit from my debian box) only to discover that all of a sudden I've got a massive amount of unresolved dependencies. When I do an apt-get -f install I get a real bad feeling (output at bottem of post). I mean look what he's planning to remove: XFree86 stuff, compilers, ... It seems like I will have no distribution left. Now I'm realy sure I had not a single dependency problem before upgrading to a 2.6 kernel. So the question is: do I let apt-get solve the problem or will the sh*t then really hit the fan?


apt-get -f install :

The following extra packages will be installed:
Hermes alsa-lib aspell audiofile bzip2 compat-libstdc++ cracklib
desktop-backgrounds-basic freetype glib-devel glib2 glib2-devel
gnome-mime-data lame less libavc1394 libdvdcss libdvdread libexif libfame
libid3tag libogg-devel libtermcap lvm m4 mozilla-nspr mozilla-nss mpage
netpbm netpbm-devel netpbm-progs perl-URI pilot-link-devel pkgconfig
vim-common words
The following packages will be upgraded
mozilla-nss netpbm-devel netpbm-progs
The following packages will be REMOVED:
4Suite GConf GConf-devel GConf2 GConf2-devel Glide3-devel Guppi-devel
ImageMagick Maelstrom MagicPoint Omni-foomatic PyQt PyQt-devel PyXML R SDL
SDL-devel SDL_image SDL_image-devel SDL_mixer SDL_mixer-devel SDL_net-devel
SysVinit VFlib2 VFlib2-conf-ja XFree86-100dpi-fonts XFree86-75dpi-fonts
XFree86-Mesa-libGL XFree86-base-fonts XFree86-font-utils XFree86-libs
XFree86-tools XFree86-truetype-fonts XFree86-twm XFree86-xauth XFree86-xdm
XFree86-xfs Xaw3d Xaw3d-devel a2ps aalib alchemist apmd apt arts-devel ash
at aumix authconfig autoconf autofs bind-utils bonobo bonobo-conf
bonobo-conf-devel bonobo-devel bug-buddy chkfontpath chromium compat-gcc
compat-gcc-c++ comps-extras control-center coreutils cups cups-devel
cups-libs curl curl-devel cvs cyrus-sasl cyrus-sasl-devel cyrus-sasl-md5
cyrus-sasl-plain ddd desktop-printing dev devlabel dia docbook-dtds
docbook-style-dsssl docbook-utils eel2 eel2-devel emacs emacs-leim eog
ethereal evolution fam fam-devel fetchmail file-roller firstboot fontilus
foomatic gail-devel gaim gal-devel gcc-c++ gcc-g77 gcc-java gcc-objc
gdk-pixbuf-devel gdk-pixbuf-gnome gdm gedit gettext gftp ghostscript
ghostscript-fonts gimp gimp-print-plugin gimp-print-utils glade2 glibc-devel
glibc-kernheaders gnome-applets gnome-desktop gnome-games gnome-libs
gnome-libs-devel gnome-media gnome-panel gnome-pilot gnome-pilot-devel
gnome-print gnome-python2 gnome-python2-bonobo gnome-python2-canvas
gnome-python2-gtkhtml2 gnome-session gnome-spell gnome-system-monitor
gnome-terminal gnome-themes gnome-user-docs gnome-utils gnome-vfs
gnome-vfs-devel gnome-vfs-extras gnome-vfs2-devel gnome-vfs2-extras gnumeric
gnupg gnuplot gphoto2 gpm gpm-devel grip gstreamer-plugins gthumb gtk+
gtk+-devel gtk-doc gtk-engines gtk2 gtk2-devel gtkam gtkhtml gtkhtml2
gtoaster hpijs hwbrowser imlib imlib-devel initscripts iptables irda-utils
isdn4k-utils k3b kbd kdbg kde-i18n-Dutch kdeaddons kdeadmin kdeartwork
kdebase kdebase-devel kdegames kdegraphics kdelibs kdelibs-devel
kdemultimedia kdenetwork kdenetwork-devel kdepim kdepim-devel kdesdk
kdesdk-devel kdeutils kernel#2.4.20-8 kernel-ntfs#2.4.20-8
kernel-pcmcia-cs#1:3.1.31-13 kernel-source#2.4.20-8 koffice krb5-libs kudzu
lesstif lesstif-devel lftp libao libbonoboui libbonoboui-devel libcapplet0
libglade libglade-devel libglade2 libglade2-devel libgnome libgnomecanvas
libgnomecanvas-devel libgnomeprint libgnomeprint15 libgnomeprint22
libgnomeprintui libgnomeprintui22 libgnomeui libgnomeui-devel libgsf
libmrproject libpcap librsvg librsvg-devel librsvg2 librsvg2-devel libtool
libungif libuser libuser-devel libwvstreams libxml2-python logwatch lokkit
magicdev memprof minicom mkbootdisk mkinitrd modutils mozilla mozilla-mail
mozilla-psm mplayer mplayer-common mplayer-gui mplayer-skin-default
mplayer-vidix mplayerplug-in mrproject mtr-gtk mutt nautilus-cd-burner
nautilus-media net-snmp newt-devel nscd nss_ldap octave openjade openldap
openldap-devel openmotif-devel openoffice openoffice-libs openssh
openssh-askpass openssh-askpass-gnome openssh-server openssl openssl-devel
pam-devel pam_krb5 pango pango-devel passwd pciutils perl-SGMLSpm plib
portmap ppp printman procps psgml pyOpenSSL pygtk2-devel pygtk2-libglade
pyorbit python python-devel python-optik pyxf86config qt qt-designer
qt-devel quake2 quanta redhat-artwork redhat-config-date
redhat-config-keyboard redhat-config-kickstart redhat-config-language
redhat-config-network redhat-config-network-tui redhat-config-packages
redhat-config-printer redhat-config-printer-gui redhat-config-proc
redhat-config-rootpassword redhat-config-securitylevel
redhat-config-services redhat-config-soundcard redhat-config-users
redhat-logviewer rhn-applet rhpl rp-pppoe rpm rpm-devel rpm-python samba
samba-client samba-common sane-backends sane-backends-devel screen
scrollkeeper sendmail sgml-common shapecfg sip slang-devel slrn smpeg
sndconfig soup startup-notification stunnel sudo switchdesk switchdesk-gnome
sysklogd tcpdump tcsh tk torcs torcs-data torcs-data-cars-Patwo-Design
torcs-data-cars-extra torcs-data-tracks-base ttfprint tuxracer up2date
up2date-gnome urw-fonts usermode usermode-gtk utempter util-linux vconfig
vixie-cron vorbis-tools w3m wget winex3 wvdial xboard xcdroast xchat xinetd
xinitrc xisdnload xloadimage xml-common xmms-skins xpdf xsane xsane-gimp
xscreensaver xsri yelp ypbind
The following NEW packages will be installed:
Hermes alsa-lib aspell audiofile bzip2 compat-libstdc++ cracklib
desktop-backgrounds-basic freetype glib-devel glib2 glib2-devel
gnome-mime-data lame less libavc1394 libdvdcss libdvdread libexif libfame
libid3tag libogg-devel libtermcap lvm m4 mozilla-nspr mpage netpbm perl-URI
pilot-link-devel pkgconfig vim-common words
WARNING: The following essential packages will be removed
This should NOT be done unless you know exactly what you are doing!
apt rpm (due to apt) dev coreutils (due to dev) initscripts procps (due to
initscripts) SysVinit (due to initscripts) modutils (due to initscripts)
sysklogd (due to initscripts) util-linux (due to initscripts) passwd libuser
(due to passwd)
3 packages upgraded, 33 newly installed, 382 removed and 21 not upgraded.
Need to get 9386kB/16.2MB of archives.
After unpacking 1650MB disk space will be freed.
You are about to do something potentially harmful
To continue type in the phrase 'Yes, do as I say!'
 
Old 04-27-2004, 02:03 PM   #2
jon1591
Member
 
Registered: Nov 2003
Location: NE England
Distribution: Slackware 9.1
Posts: 52

Rep: Reputation: 15
Hi
When was the last time you ran

Code:
apt-get update
because when I was using Red Hat the same happened to me until I updated apt-get.

Jon
 
Old 04-27-2004, 02:11 PM   #3
maenho
Member
 
Registered: Nov 2003
Location: Belgium
Posts: 81

Original Poster
Rep: Reputation: 15
hi,

just tried tried it, dependency problems remain though.
thanx for the quick repsonse nevertheless
 
Old 04-27-2004, 02:36 PM   #4
comp12345
Member
 
Registered: Feb 2004
Posts: 467

Rep: Reputation: 30
Perhaps you could try
Code:
apt-get dist-upgrade
 
Old 04-27-2004, 02:48 PM   #5
maenho
Member
 
Registered: Nov 2003
Location: Belgium
Posts: 81

Original Poster
Rep: Reputation: 15
doing that gives me:

You might want to run `apt-get -f install' to correct these.
The following packages have unmet dependencies:
GConf-devel: Depends: glib-devel but it is not installed
GConf2: Depends: libglib-2.0.so.0
Depends: libgmodule-2.0.so.0
Depends: libgobject-2.0.so.0
Depends: libgthread-2.0.so.0
GConf2-devel: Depends: glib2-devel (>= 2.2.0) but it is not installed
Glide3-devel: Depends: Glide3 (= 20010520) but it is not installed
Guppi-devel: Depends: Guppi (= 0.40.3) but it is not installed
Depends: gnome-print-devel but it is not installed
ImageMagick: Depends: bzip2 but it is not installed
Depends: freetype but it is not installed
Depends: libfreetype.so.6
Maelstrom: Depends: libSDL_net-1.2.so.0
MagicPoint: Depends: libttf.so.2
ORBit-devel: Depends: glib-devel but it is not installed
ORBit2: Depends: libglib-2.0.so.0
Depends: libgmodule-2.0.so.0
Depends: libgobject-2.0.so.0
Depends: libgthread-2.0.so.0
ORBit2-devel: Depends: glib2-devel but it is not installed
Depends: glib2-devel (>= 2.2.0) but it is not installed
Depends: libglib-2.0.so.0
Depends: libgmodule-2.0.so.0
Depends: libgobject-2.0.so.0
Depends: libgthread-2.0.so.0
SDL-devel: Depends: XFree86-devel but it is not installed
SDL_net-devel: Depends: SDL_net (= 1.2.4-5) but it is not installed
SysVinit: Depends: pam (>= 0.66-5) but it is not installed
VFlib2: Depends: libttf.so.2
VFlib2-conf-ja: Depends: ttfonts-ja but it is not installed
XFree86-font-utils: Depends: libfreetype.so.6
XFree86-libs: Depends: freetype (>= 2.1.3-4) but it is not installed
Depends: libfreetype.so.6
XFree86-tools: Depends: XFree86 but it is not installed
Depends: libfreetype.so.6
XFree86-twm: Depends: XFree86 but it is not installed
XFree86-xdm: Depends: /etc/pam.d/system-auth


etc ....
This goes on and on...
 
Old 04-29-2004, 11:57 AM   #6
Borje
Member
 
Registered: Apr 2004
Location: Helsingborg, Sweden
Distribution: Debian/Xandros 3.0
Posts: 41

Rep: Reputation: 15
Have you tried just apt-get upgrade?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
apt-get for both rpm and deb abd_bela Conectiva 1 02-16-2005 09:40 AM
RPM dependency help (apt 4 rpm) Cubsy Linux - Software 4 10-08-2004 05:15 PM
Why does apt-rpm .... ??? southpole.dk Linux - Software 9 05-23-2004 07:30 AM
Can I use both apt and rpm? sonofdbn Linux - Software 1 02-29-2004 12:15 PM
apt-rpm Antoine Linux - Software 6 08-11-2003 08:14 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 08:10 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration